# Componere\Patch::derive

(Componere 2 >= 2.1.1)

Componere\Patch::derive — Patch Derivation

### Beschreibung

public Componere\Patch::derive(object `$instance`): Patch

Shall derive a Patch for the given `instance`

### Parameter-Liste

`instance`
  The target for the derived Patch

### Rückgabewerte

Patch for `instance` derived from the current Patch

### Exceptions

Warnung

Shall throw InvalidArgumentException if `instance` is not compatible

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open